%global npm_name global-modules
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.0.0
Release: %mkrel 5
Summary: The directory used by npm for globally installed npm modules
License: MIT
Group: Development/Other
URL: https://github.com/jonschlinkert/global-modules
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(global-prefix) >= 1.0.1
Requires: npm(is-windows) >= 1.0.1
Requires: npm(resolve-dir) >= 1.0.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Fri May 15 2020 joequant <joequant> 1.0.0-5.mga8
+ Revision: 1584058
- recompute deps

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-4.mga8
+ Revision: 1502730
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-3.mga7
+ Revision: 1280495
- Mageia 7 Mass Rebuild

* Thu May 03 2018 kekepower <kekepower> 1.0.0-2.mga7
+ Revision: 1225372
- Fix Requires

* Wed May 02 2018 kekepower <kekepower> 1.0.0-1.mga7
+ Revision: 1225059
- imported package nodejs-global-modules

